---@meta

---@class ABP_Bear_C : ACharacter
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Significance USignificanceComponent
---@field NavigationInvoker UNavigationInvokerComponent
---@field BearIdle UAudioComponent
---@field BearAttack UAudioComponent
local ABP_Bear_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_Bear_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_Bear_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Bear_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Bear_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_Bear_C:BlockInteraction(Player, BlockInteraction) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_Bear_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_Bear_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_Bear_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_Bear_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_Bear_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Bear_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_Bear_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_Bear_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_Bear_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Bear_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_Bear_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_Bear_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_Bear_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_Bear_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_Bear_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_Bear_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_Bear_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function ABP_Bear_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_Bear_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Bear_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_Bear_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_Bear_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_Bear_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_Bear_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_Bear_C:AddImpulse(ImpulseStrength, Success) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Bear_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_Bear_C:GetDisplayName(Success, DisplayName) end
---@param Success boolean
function ABP_Bear_C:ShouldUseHoldTransform(Success) end
---@param IsPickupable boolean
function ABP_Bear_C:IsPickupable(IsPickupable) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_Bear_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_Bear_C:PlaceActor(PlacementTransform, Success) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Bear_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_Bear_C:GetCustomCrosshair(UseCustomBrush, Brush) end
function ABP_Bear_C:StopBearAttack() end
---@param Sound USoundBase
function ABP_Bear_C:PlayBearAttack(Sound) end
function ABP_Bear_C:StopBearIdle() end
---@param Sound USoundBase
function ABP_Bear_C:PlayBearIdle(Sound) end
---@param NotifyName FName
function ABP_Bear_C:OnNotifyEnd_0936193642D033C61ED6779DCB0DCA66(NotifyName) end
---@param NotifyName FName
function ABP_Bear_C:OnNotifyBegin_0936193642D033C61ED6779DCB0DCA66(NotifyName) end
---@param NotifyName FName
function ABP_Bear_C:OnInterrupted_0936193642D033C61ED6779DCB0DCA66(NotifyName) end
---@param NotifyName FName
function ABP_Bear_C:OnBlendOut_0936193642D033C61ED6779DCB0DCA66(NotifyName) end
---@param NotifyName FName
function ABP_Bear_C:OnCompleted_0936193642D033C61ED6779DCB0DCA66(NotifyName) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Bear_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Bear_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_Bear_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function ABP_Bear_C:StartCooking(Heat) end
function ABP_Bear_C:StopCooking() end
function ABP_Bear_C:ReceiveBeginPlay() end
---@param OldSignificance FGameplayTag
---@param NewSignificance FGameplayTag
function ABP_Bear_C:BndEvt__BP_Bear_Significance_K2Node_ComponentBoundEvent_0_OnSignificanceUpdated__DelegateSignature(OldSignificance, NewSignificance) end
function ABP_Bear_C:AttackEvent() end
function ABP_Bear_C:asdasd() end
---@param EntryPoint int32
function ABP_Bear_C:ExecuteUbergraph_BP_Bear(EntryPoint) end


